
%global meadversion 0.9.5
%global namedversion 0.9.5.redhat-1
%global meadalpha .redhat_1
%global meadrel .1
%global serial 7
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%define maven_version 0.9.5.redhat-1

Name:           c3p0
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        c3p0
Group:          Development/Java

%if %with mead
Source100: c3p0-0.9.5.redhat-1-scm-sources.zip
Source102: c3p0-0.9.5.redhat-1.jar
Source103: c3p0-0.9.5.redhat-1-project-sources.tar.gz
Source104: c3p0-0.9.5.redhat-1-javadoc.jar
Source105: c3p0-0.9.5.redhat-1.pom
Source106: c3p0-0.9.5.redhat-1-sources.jar
%endif

License:        LGPLv2.1/EPL 1.0
URL:            https://github.com/swaldman/c3p0
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
%if 0
Requires:       jboss-parent >= 0:14.0.0
BuildRequires:  jboss-parent >= 0:14.0.0
%endif
Requires:       mchange-commons-java >= 0:0.2.9
BuildRequires:  mchange-commons-java >= 0:0.2.9
BuildArch:      noarch
BuildRoot:      %{_tmppath}/c3p0-%{namedversion}-%{release}-root

%description
A JDBC Connection pooling / Statement caching library.

%if %with javadoc
%package -n c3p0-javadoc
Summary:        Javadoc for c3p0
Group:          Development/Documentation

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  unzip

%description -n c3p0-javadoc
%{summary}.
%endif

%prep
%setup -q -n c3p0 -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/c3p0-%{namedversion}.jar %{buildroot}%{_javadir}/c3p0-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/c3p0-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/c3p0-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/c3p0-%{namedversion}-sources.jar %{buildroot}%{_javadir}/c3p0-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/c3p0-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-c3p0.pom

# depmaps
%add_to_maven_depmap com.mchange c3p0 %{namedversion} JPP c3p0
[ %{name} = "c3p0" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/c3p0

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/c3p0-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/c3p0-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/c3p0-%{namedversion} -x META-INF/\*
%{__ln_s} c3p0-%{namedversion} %{buildroot}%{_javadocdir}/c3p0
%endif

%clean
%{__rm} -rf %{buildroot}

%post -n c3p0
%update_maven_depmap

%postun -n c3p0
%update_maven_depmap

%files -n c3p0
%defattr(0644,root,root,0755)
%doc LICENSE LICENSE-EPL LICENSE-LGPL README.md README-SRC
%{_javadir}/c3p0-%{namedversion}.jar
%{_javadir}/c3p0.jar
%exclude %{_javadir}/c3p0-%{namedversion}-javadoc.jar
%exclude %{_javadir}/c3p0-javadoc.jar
%{_javadir}/c3p0-%{namedversion}-sources.jar
%{_javadir}/c3p0-sources.jar
%{_mavenpomdir}/JPP-c3p0.pom
%{_mavendepmapfragdir}/c3p0

%if %with javadoc
%files -n c3p0-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/c3p0-%{namedversion}
%{_javadocdir}/c3p0
%{_javadir}/c3p0-%{namedversion}-javadoc.jar
%{_javadir}/c3p0-javadoc.jar
%endif

%changelog
* Wed Feb 11 2015 David Walluck <dwalluck@redhat.com> - 0.9.5-7.redhat_1.1
- build rpms

* Tue Feb 10 2015 David Walluck <dwalluck@redhat.com> - 0.9.5-3.redhat_1.1
- build rpms

* Fri Jan 30 2015 David Walluck <dwalluck@redhat.com> - 0.9.5-2.redhat_1.1
- 0.9.5
